Confirming most up-to-date releases

26 views
Skip to first unread message

d.andrew STEWART

unread,
Jan 15, 2022, 8:10:24 AM1/15/22
to dot_mapper
Hello.  Can anyone confirm that these are the most up-to-date releases please?

mapper-osx-max-pd20201021.zip
WebMapper20191211.zip

And also confirm that I'll have to go through all my patches and rename [map......] to [mpr......]....ah

Thanks
a

d.andrew STEWART

unread,
Jan 15, 2022, 8:25:29 AM1/15/22
to dot_mapper
Follow-up:  These versions might not be the most recent. I'm running the .maxhelp files that come with mapper-osx-max-pd20201021.zip and Sources/Destinations are not properly appearing in "list view". I see the Devices in "chord view", though. 

I'll revert back to 
mapper-osx-max-pd-20190702
WebMapper20191211.zip

But any suggestions would be appreciated
A


d.andrew STEWART

unread,
May 4, 2022, 9:13:06 PM5/4/22
to dot_mapper
Hello everyone

Can anyone help clarify which versions of libmapper - Webmapper I should be using, please?  In particular, I'm looking for the Max/MSP externals.  I think these are the latest updates, correct?

Webmapper from 5 March, 2019

NOTE: I don't think this is the latest Webmapper, because I have other newer versions on my computer (e.g., WebMapper20191211.zip). So, I'm a bit confused about where I should be looking.

Max/MSP externals

Importantly, to use the latest Max/MSP externals, I have to retype all of my [map.in]  as  [mpr.in],  correct?  Is there a fast way to do that in Max (The search and replace functionality is a bit flaky when you have subpatches, but I'll give it a try)

I have a big project coming up and need to get access to my mapping connection data (JSON files) – the files worked, but with changes to software, they always need tweaking in order to keep working.  



That's the game.....
Any help would be much appreciated. 

Joseph Malloch

unread,
May 5, 2022, 3:25:36 PM5/5/22
to dot_m...@googlegroups.com
Hi Andrew,

We’ve been trying to fix and streamline our software release process but it’s still not user-friendly at this point. We can build fresh versions of everything for you if you tell us the OS and Max versions you are using.

There should be a file called mpr-objectmappings.txt in the package you copied to the Max Packages directory (ini a folder called ‘init’). This tells Max to interpret [map.x] as [mpr.x] so no retyping is necessary. It will not rename the objects in your patch, but under the hood it will load the [mpr.x] objects.

The JSON files should still be fine, but let me know if there are any problems and we can automate the process of updating them.

Cheers,
Joe

-- 
You received this message because you are subscribed to the Google Groups "dot_mapper" group.
To unsubscribe from this group and stop receiving emails from it, send an email to dot_mapper+...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/dot_mapper/b19cadba-4074-4713-8121-03988f929e65n%40googlegroups.com.

d.andrew STEWART

unread,
May 5, 2022, 9:33:33 PM5/5/22
to dot_mapper
Thanks @Joselph M. 

d.andrew STEWART

unread,
Jun 15, 2022, 12:42:08 PM6/15/22
to dot_mapper
Hello. I've started my "dive" into updating mapper components in my Max patches (e.g., [map] -> [mpr]).  Here are the versions I will run tests with. Please, if we have newer components, where do I find them?

(1) Webmapper (2019-12-11 Workshop Test Release)

(2) Mapper components for Max (21 October, 2020)
-This is interesting. I find Version 1.2.4 (31 January, 2020) here <https://github.com/malloch/mapper-max-pd/releases>. However, I seem to have a newer version from 21 October, 2020, saved on my computer – I'm not sure how I picked this newer version up . I'll use the newer version (from October, 2020)

I also realise that a libmapper repo from 8 November, 2021, is available; however, due to my inexperience building from source, I will use the components, above. Please advise if I should do otherwise

I suppose the question is whether this github.io could be updated to reflect the most recent versions. Thoughts?


My best

d.andrew STEWART

unread,
Jun 15, 2022, 12:52:23 PM6/15/22
to dot_mapper
I'm also ready to learn more cmd line.......to interact with the various repos.....if that's easier

d.andrew STEWART

unread,
Jun 15, 2022, 1:56:59 PM6/15/22
to dot_mapper
Here's what I can report:

-Easy to `batch` find & replace [map] with [mpr] by converting patch to .json and then, text edit

-Webmapper (2019-12-11 Workshop Test Release) does not seem to be compatible with Mapper components for Max (21 October, 2020). So, I have reverted to Mapper components for Max Version 1.2.4 (31 January, 2020)

NOTE: Version 1.2.4 (31 January, 2020) still uses [map] and not [mpr]  . I'm glad I ran a few simple tests before doing mass - batch - find & replace

Brady Boettcher

unread,
Jun 20, 2022, 8:09:32 AM6/20/22
to dot_mapper
Hi Andrew,
What OS (with version) and Max version are you using? We might be able to build the newest versions of libmapper/webmapper/max externals for you manually, as we're still working on making releases automated.
Thanks,
Brady

d.andrew STEWART

unread,
Jul 4, 2022, 7:17:07 PM7/4/22
to dot_mapper
Good day.  At the moment, everything is working well. So no rush. In about 2 weeks, however, I will need to upgrade my macOS to :  OS12.4 (the latest "Monterey").  With respect to Max, I think I'm up-to-date, using Max version 8.3.1. After update to OS12.4, I'll run tests and let everyone know. 
PS  I still need to make a video showing the control of FAUST instruments inside HUBS, mapping control data from the karlax to the FAUST instruments. Excuse large font (my eyesight is slowly deteriorating )

Reply all
Reply to author
Forward
0 new messages